<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RGB Slider</title>
    <style>
        #boxcolor {
            width: 500px;
            height: 300px;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: rgb(181,116,157);
            font-weight: 500;
            font-size: 30px;
        }
        .slider {
            -webkit-appearance: none;
            width: 500px;
            height: 25px;
            background: #d3d3d3;
            outline: none;
            opacity: 0.7;
            -webkit-transition: .2s;
            transition: opacity .2s;
        }

        .slider:hover {
            opacity: 1;
        }
    </style>
</head>
<body>
    <div id="boxcolor">
        <span id="boxcolorvalue">rgb(181,116,157)</span>
    </div>
    <div class="box-control">
        <div class="red">
            <input class="slider" id="range_red" type="range" min="0" max="255" value="181">
        </div>
        <div class="green">
            <input class="slider" id="range_green" type="range" min="0" max="255" value="116">
        </div>
        <div class="blue">
            <input class="slider" id="range_blue" type="range" min="0" max="255" value="157">
        </div>
    </div>
    <script>
        const range_red_element = document.getElementById("range_red");
        const range_green_element = document.getElementById("range_green");
        const range_blue_element = document.getElementById("range_blue");

        const box_color_element = document.getElementById("boxcolor");
        const box_color__value_element = document.getElementById("boxcolorvalue");

        range_red_element.addEventListener("change", changeColorBackgroundBox);
        range_green_element.addEventListener("change", changeColorBackgroundBox);
        range_blue_element.addEventListener("change", changeColorBackgroundBox);
        function changeColorBackgroundBox() {
            var box_color__value = `rgb(${range_red_element.value},${range_green_element.value},${range_blue_element.value})`;
            box_color_element.style.backgroundColor = box_color__value;
            box_color__value_element.innerText = box_color__value;
        }
    </script>
</body>
</html>